Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNC_RECS_3.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNC_RECS_3.xml	(revision 823)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNC_RECS_3.xml	(revision 981)
@@ -1,5 +1,16 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+<!--
+			This is DEBB information (taken from PLM XML and DEBBComponent
+			files), updated by schedulers and estimators. Moreover, all elements
+			are sorted and appear in correct order, according to the schema.
+		--><!--
+			Schedulers and estimators information is loaded from
+			../../debb2dcworms/example/example1.xml
+			file
+		--><environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
              xsi:noNamespaceSchemaLocation="DCWormsResSchema.xsd">
+   <timeEstimationPlugin>
+      <name>example.timeestimation.RecsTimeEstimationPlugin</name>
+   </timeEstimationPlugin>
    <resources>
       <computingResource name="Rack83" class="NodeGroup" type="RECS_Sirius">
@@ -67,4 +78,11 @@
                <value>i7_0_01</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -122,4 +140,11 @@
                <value>i7_0_02</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -177,4 +202,11 @@
                <value>i7_0_03</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -232,4 +264,11 @@
                <value>i7_0_04</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -287,4 +326,11 @@
                <value>i7_0_05</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -342,4 +388,11 @@
                <value>i7_0_06</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -397,4 +450,11 @@
                <value>i7_0_07</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -452,4 +512,11 @@
                <value>i7_0_08</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -507,4 +574,11 @@
                <value>i7_0_09</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -562,4 +636,11 @@
                <value>i7_0_10</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -617,4 +698,11 @@
                <value>i7_0_11</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -672,4 +760,11 @@
                <value>i7_0_12</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -727,4 +822,11 @@
                <value>i7_0_13</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -782,4 +884,11 @@
                <value>i7_0_14</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -837,4 +946,11 @@
                <value>i7_0_15</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -892,4 +1008,11 @@
                <value>i7_0_16</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -947,4 +1070,11 @@
                <value>i7_0_17</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -1002,4 +1132,11 @@
                <value>i7_0_18</value>
             </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
             <computingResource class="Processor">
                <parameter name="manufacturer">
@@ -1018,5 +1155,29 @@
          </computingResource>
       </computingResource>
-      <scheduler/>
+      <scheduler class="Cluster" name="cluster">
+         <schedulingPlugin>
+            <name>example.localplugin.FCFSBF_LocalPlugin</name>
+         </schedulingPlugin>
+         <managedComputingResources include="false">
+            <resourceName>Node37</resourceName>
+            <resourceName>Node38</resourceName>
+            <resourceName>Node39</resourceName>
+            <resourceName>Node40</resourceName>
+            <resourceName>Node41</resourceName>
+            <resourceName>Node42</resourceName>
+            <resourceName>Node43</resourceName>
+            <resourceName>Node44</resourceName>
+            <resourceName>Node45</resourceName>
+            <resourceName>Node46</resourceName>
+            <resourceName>Node47</resourceName>
+            <resourceName>Node48</resourceName>
+            <resourceName>Node49</resourceName>
+            <resourceName>Node50</resourceName>
+            <resourceName>Node51</resourceName>
+            <resourceName>Node52</resourceName>
+            <resourceName>Node53</resourceName>
+            <resourceName>Node54</resourceName>
+         </managedComputingResources>
+      </scheduler>
    </resources>
 </environment>