Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNCRECS.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNCRECS.xml	(revision 984)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNCRECS.xml	(revision 984)
@@ -0,0 +1,349 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+			This is DEBB information (taken from PLM XML and DEBBComponent
+			files), updated by schedulers and estimators. Moreover, all elements
+			are sorted and appear in correct order, according to the schema.
+		--><!--
+			Schedulers and estimators information is loaded from
+			../../debb2dcworms/example/example1.xml
+			file
+		--><environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+             xsi:noNamespaceSchemaLocation="../DCWormsResSchema.xsd">
+   <timeEstimationPlugin>
+      <name>example.timeestimation.RecsTimeEstimationPlugin</name>
+   </timeEstimationPlugin>
+   <resources>
+      <computingResource name="Rack81" class="NodeGroup">
+         <parameter name="manufacturer">
+            <value>Christmann</value>
+         </parameter>
+         <parameter name="product">
+            <value>RECS</value>
+         </parameter>
+         <parameter name="maxPower">
+            <value>0.0</value>
+         </parameter>
+         <parameter name="powerSupply">
+            <property name="class">
+               <value>PSU</value>
+            </property>
+            <property name="totalOutputPower">
+               <value>180.0</value>
+            </property>
+            <property name="efficiency">
+               <value>0</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="manufacturer">
+               <value>Block</value>
+            </property>
+            <property name="product">
+               <value>PVSE230/12-15</value>
+            </property>
+            <property name="maxPower">
+               <value>0.0</value>
+            </property>
+         </parameter>
+         <parameter name="hostname">
+            <value>gamescontroller.hlrs.de</value>
+         </parameter>
+         <parameter name="fullPath">
+            <value>/Rack81</value>
+         </parameter>
+         <computingResource name="Node1" class="Node">
+            <parameter name="hostname">
+               <value>i7_0_01</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node1</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node2" class="Node">
+            <parameter name="hostname">
+               <value>i7_0_02</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node2</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node3" class="Node">
+            <parameter name="hostname">
+               <value>atom32_0_01</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node3</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node4" class="Node">
+            <parameter name="hostname">
+               <value>atom32_0_02</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node4</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node5" class="Node">
+            <parameter name="hostname">
+               <value>atom64_0_01</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node5</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node6" class="Node">
+            <parameter name="hostname">
+               <value>atom64_0_02</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node6</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node7" class="Node">
+            <parameter name="hostname">
+               <value>amdf_0_01</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node7</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node8" class="Node">
+            <parameter name="hostname">
+               <value>amdf_0_02</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node8</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node9" class="Node">
+            <parameter name="hostname">
+               <value>amdf_0_03</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node9</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node10" class="Node">
+            <parameter name="hostname">
+               <value>amdf_0_04</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node10</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node11" class="Node">
+            <parameter name="hostname">
+               <value>amdf_0_05</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node11</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node12" class="Node">
+            <parameter name="hostname">
+               <value>amdf_0_06</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node12</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node13" class="Node">
+            <parameter name="hostname">
+               <value>atom64_0_03</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node13</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node14" class="Node">
+            <parameter name="hostname">
+               <value>atom64_0_04</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node14</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node15" class="Node">
+            <parameter name="hostname">
+               <value>atom32_0_03</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node15</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node16" class="Node">
+            <parameter name="hostname">
+               <value>atom32_0_04</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node16</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node17" class="Node">
+            <parameter name="hostname">
+               <value>i7_0_03</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node17</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+         <computingResource name="Node18" class="Node">
+            <parameter name="hostname">
+               <value>i7_0_04</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack81/Node18</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <energyEstimationPlugin>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+                  </energyEstimationPlugin>
+               </powerProfile>
+            </profile>
+         </computingResource>
+      </computingResource>
+      <scheduler class="Cluster" name="cluster">
+         <schedulingPlugin>
+            <name>example.localplugin.FCFSBF_LocalPlugin</name>
+         </schedulingPlugin>
+         <managedComputingResources include="false">
+            <resourceName>Node1</resourceName>
+            <resourceName>Node2</resourceName>
+            <resourceName>Node3</resourceName>
+            <resourceName>Node4</resourceName>
+            <resourceName>Node5</resourceName>
+            <resourceName>Node6</resourceName>
+            <resourceName>Node7</resourceName>
+            <resourceName>Node8</resourceName>
+            <resourceName>Node9</resourceName>
+            <resourceName>Node10</resourceName>
+            <resourceName>Node11</resourceName>
+            <resourceName>Node12</resourceName>
+            <resourceName>Node13</resourceName>
+            <resourceName>Node14</resourceName>
+            <resourceName>Node15</resourceName>
+            <resourceName>Node16</resourceName>
+            <resourceName>Node17</resourceName>
+            <resourceName>Node18</resourceName>
+         </managedComputingResources>
+      </scheduler>
+   </resources>
+</environment>