Index: /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNCRECS.xml
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNCRECS.xml	(revision 984)
+++ /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNCRECS.xml	(revision 986)
@@ -51,4 +51,5 @@
          </parameter>
          <computingResource name="Node1" class="Node">
+            <templateId>Node-node_i7/16GB</templateId>
             <parameter name="hostname">
                <value>i7_0_01</value>
@@ -57,13 +58,7 @@
                <value>/Rack81/Node1</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node2" class="Node">
+            <templateId>Node-node_i7/16GB</templateId>
             <parameter name="hostname">
                <value>i7_0_02</value>
@@ -72,13 +67,7 @@
                <value>/Rack81/Node2</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node3" class="Node">
+            <templateId>Node-node_AtomZ510</templateId>
             <parameter name="hostname">
                <value>atom32_0_01</value>
@@ -87,13 +76,7 @@
                <value>/Rack81/Node3</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node4" class="Node">
+            <templateId>Node-node_AtomZ510</templateId>
             <parameter name="hostname">
                <value>atom32_0_02</value>
@@ -102,13 +85,7 @@
                <value>/Rack81/Node4</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node5" class="Node">
+            <templateId>Node-node_AtomD510</templateId>
             <parameter name="hostname">
                <value>atom64_0_01</value>
@@ -117,13 +94,7 @@
                <value>/Rack81/Node5</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node6" class="Node">
+            <templateId>Node-node_AtomD510</templateId>
             <parameter name="hostname">
                <value>atom64_0_02</value>
@@ -132,13 +103,7 @@
                <value>/Rack81/Node6</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node7" class="Node">
+            <templateId>Node-node_FusionGT40N</templateId>
             <parameter name="hostname">
                <value>amdf_0_01</value>
@@ -147,13 +112,7 @@
                <value>/Rack81/Node7</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node8" class="Node">
+            <templateId>Node-node_FusionGT40N</templateId>
             <parameter name="hostname">
                <value>amdf_0_02</value>
@@ -162,13 +121,7 @@
                <value>/Rack81/Node8</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node9" class="Node">
+            <templateId>Node-node_FusionGT40N</templateId>
             <parameter name="hostname">
                <value>amdf_0_03</value>
@@ -177,13 +130,7 @@
                <value>/Rack81/Node9</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node10" class="Node">
+            <templateId>Node-node_FusionGT40N</templateId>
             <parameter name="hostname">
                <value>amdf_0_04</value>
@@ -192,13 +139,7 @@
                <value>/Rack81/Node10</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node11" class="Node">
+            <templateId>Node-node_FusionGT40N</templateId>
             <parameter name="hostname">
                <value>amdf_0_05</value>
@@ -207,13 +148,7 @@
                <value>/Rack81/Node11</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node12" class="Node">
+            <templateId>Node-node_FusionGT40N</templateId>
             <parameter name="hostname">
                <value>amdf_0_06</value>
@@ -222,13 +157,7 @@
                <value>/Rack81/Node12</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node13" class="Node">
+            <templateId>Node-node_AtomD510</templateId>
             <parameter name="hostname">
                <value>atom64_0_03</value>
@@ -237,13 +166,7 @@
                <value>/Rack81/Node13</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node14" class="Node">
+            <templateId>Node-node_AtomD510</templateId>
             <parameter name="hostname">
                <value>atom64_0_04</value>
@@ -252,13 +175,7 @@
                <value>/Rack81/Node14</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node15" class="Node">
+            <templateId>Node-node_AtomZ510</templateId>
             <parameter name="hostname">
                <value>atom32_0_03</value>
@@ -267,13 +184,7 @@
                <value>/Rack81/Node15</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node16" class="Node">
+            <templateId>Node-node_AtomZ510</templateId>
             <parameter name="hostname">
                <value>atom32_0_04</value>
@@ -282,13 +193,7 @@
                <value>/Rack81/Node16</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node17" class="Node">
+            <templateId>Node-node_i7/16GB</templateId>
             <parameter name="hostname">
                <value>i7_0_03</value>
@@ -297,13 +202,7 @@
                <value>/Rack81/Node17</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
          <computingResource name="Node18" class="Node">
+            <templateId>Node-node_i7/16GB</templateId>
             <parameter name="hostname">
                <value>i7_0_04</value>
@@ -312,11 +211,4 @@
                <value>/Rack81/Node18</value>
             </parameter>
-            <profile>
-               <powerProfile>
-                  <energyEstimationPlugin>
-                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
-                  </energyEstimationPlugin>
-               </powerProfile>
-            </profile>
          </computingResource>
       </computingResource>
@@ -347,3 +239,308 @@
       </scheduler>
    </resources>
+   <templates>
+      <computingResourceTemplate name="Node-node_i7/16GB" class="Node">
+         <resourceUnit class="Memory">
+            <amount>16384</amount>
+         </resourceUnit>
+         <parameter name="manufacturer">
+            <value>kontron</value>
+         </parameter>
+         <parameter name="product">
+            <value>COMe-bSC2 i7-2715QE ECC</value>
+         </parameter>
+         <parameter name="maxPower">
+            <value>0.0</value>
+         </parameter>
+         <parameter name="baseboard"><!--BasicDEBBPhysicalElementProperties--><property name="manufacturer">
+               <value>kontron</value>
+            </property>
+            <property name="product">
+               <value>COMe-bSC2</value>
+            </property>
+         </parameter>
+         <parameter name="sensor">
+            <property name="class">
+               <value>Temperature</value>
+            </property>
+            <property name="unit">
+               <value>Â°C</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="sensor">
+            <property name="class">
+               <value>Power</value>
+            </property>
+            <property name="unit">
+               <value>W</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="fullPath">
+            <value>/Node-node_i7/16GB</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+         <computingResource class="Processor">
+            <parameter name="manufacturer">
+               <value>Intel</value>
+            </parameter>
+            <parameter name="product">
+               <value>i7-2715QE</value>
+            </parameter>
+            <parameter name="maxPower">
+               <value>45.0</value>
+            </parameter>
+            <parameter name="speed">
+               <value>2100</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/</value>
+            </parameter>
+         </computingResource>
+      </computingResourceTemplate>
+      <computingResourceTemplate name="Node-node_AtomZ510" class="Node">
+         <resourceUnit class="Memory">
+            <amount>2048</amount>
+            <parameter name="manufacturer">
+               <value>Kingston</value>
+            </parameter>
+            <parameter name="product">
+               <value>KVR800D2S6/2G</value>
+            </parameter>
+         </resourceUnit>
+         <parameter name="manufacturer">
+            <value>Toradex</value>
+         </parameter>
+         <parameter name="product">
+            <value>Woodpecker Z510</value>
+         </parameter>
+         <parameter name="baseboard"><!--BasicDEBBPhysicalElementProperties--><property name="manufacturer">
+               <value>Toradex</value>
+            </property>
+            <property name="product">
+               <value>Woodpecker Z5xx 1.1</value>
+            </property>
+         </parameter>
+         <parameter name="sensor">
+            <property name="class">
+               <value>Temperature</value>
+            </property>
+            <property name="unit">
+               <value>Â°C</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="sensor">
+            <property name="class">
+               <value>Power</value>
+            </property>
+            <property name="unit">
+               <value>W</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="fullPath">
+            <value>/Node-node_AtomZ510</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+         <computingResource class="Processor">
+            <parameter name="manufacturer">
+               <value>Intel</value>
+            </parameter>
+            <parameter name="product">
+               <value>Atom Z510</value>
+            </parameter>
+            <parameter name="maxPower">
+               <value>2.0</value>
+            </parameter>
+            <parameter name="speed">
+               <value>1600</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/</value>
+            </parameter>
+         </computingResource>
+      </computingResourceTemplate>
+      <computingResourceTemplate name="Node-node_AtomD510" class="Node">
+         <resourceUnit class="Memory">
+            <amount>4096</amount>
+         </resourceUnit>
+         <parameter name="manufacturer">
+            <value>Manufacturer</value>
+         </parameter>
+         <parameter name="product">
+            <value>Product</value>
+         </parameter>
+         <parameter name="baseboard"><!--BasicDEBBPhysicalElementProperties--><property name="manufacturer">
+               <value>Manufacturer</value>
+            </property>
+            <property name="product">
+               <value>Product</value>
+            </property>
+         </parameter>
+         <parameter name="sensor">
+            <property name="class">
+               <value>Temperature</value>
+            </property>
+            <property name="unit">
+               <value>Â°C</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="sensor">
+            <property name="class">
+               <value>Power</value>
+            </property>
+            <property name="unit">
+               <value>W</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="fullPath">
+            <value>/Node-node_AtomD510</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+         <computingResource class="Processor">
+            <parameter name="manufacturer">
+               <value>Intel</value>
+            </parameter>
+            <parameter name="product">
+               <value>Atom D510</value>
+            </parameter>
+            <parameter name="maxPower">
+               <value>13.0</value>
+            </parameter>
+            <parameter name="speed">
+               <value>1600</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <powerStates>
+                     <powerState>
+                        <name>0</name>
+                        <transition>
+                           <to>1</to>
+                           <powerUsage>0.0</powerUsage>
+                           <time>0.001</time>
+                        </transition>
+                     </powerState>
+                     <powerState>
+                        <name>1</name>
+                        <transition>
+                           <to>0</to>
+                           <powerUsage>0.0</powerUsage>
+                           <time>0.001</time>
+                        </transition>
+                     </powerState>
+                  </powerStates>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>0</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1600.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsage">
+                        <value>13.0</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>1</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1400.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsage">
+                        <value>9.0</value>
+                     </property>
+                  </parameter>
+               </powerProfile>
+            </profile>
+         </computingResource>
+      </computingResourceTemplate>
+      <computingResourceTemplate name="Node-node_FusionGT40N" class="Node">
+         <resourceUnit class="Memory">
+            <amount>4096</amount>
+         </resourceUnit>
+         <parameter name="manufacturer">
+            <value>Congatec</value>
+         </parameter>
+         <parameter name="product">
+            <value>conga-BAF/T40N</value>
+         </parameter>
+         <parameter name="baseboard"><!--BasicDEBBPhysicalElementProperties--><property name="manufacturer">
+               <value>Congatec</value>
+            </property>
+            <property name="product">
+               <value>conga-BAF</value>
+            </property>
+         </parameter>
+         <parameter name="sensor">
+            <property name="class">
+               <value>Temperature</value>
+            </property>
+            <property name="unit">
+               <value>Â°C</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="sensor">
+            <property name="class">
+               <value>Power</value>
+            </property>
+            <property name="unit">
+               <value>W</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="fullPath">
+            <value>/Node-node_FusionGT40N</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+         <computingResource class="Processor">
+            <parameter name="manufacturer">
+               <value>AMD</value>
+            </parameter>
+            <parameter name="product">
+               <value>Fusion G-T40N</value>
+            </parameter>
+            <parameter name="maxPower">
+               <value>9.0</value>
+            </parameter>
+            <parameter name="speed">
+               <value>800</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/</value>
+            </parameter>
+         </computingResource>
+      </computingResourceTemplate>
+   </templates>
 </environment>