Index: /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNC_RECS_2.xml
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNC_RECS_2.xml	(revision 988)
+++ /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNC_RECS_2.xml	(revision 988)
@@ -0,0 +1,255 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+			This is DEBB information (taken from PLM XML and DEBBComponent
+			files), updated by schedulers and estimators. Moreover, all elements
+			are sorted and appear in correct order, according to the schema.
+		--><!--
+			Schedulers and estimators information is loaded from
+			../../debb2dcworms/example/example1.xml
+			file
+		--><environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+             xsi:noNamespaceSchemaLocation="../DCWormsResSchema.xsd">
+   <timeEstimationPlugin>
+      <name>example.timeestimation.RecsTimeEstimationPlugin</name>
+   </timeEstimationPlugin>
+   <resources>
+      <computingResource name="Rack82" class="NodeGroup">
+         <parameter name="manufacturer">
+            <value>Christmann</value>
+         </parameter>
+         <parameter name="product">
+            <value>RECS</value>
+         </parameter>
+         <parameter name="maxPower">
+            <value>0.0</value>
+         </parameter>
+         <parameter name="powerSupply">
+            <property name="class">
+               <value>PSU</value>
+            </property>
+            <property name="totalOutputPower">
+               <value>180.0</value>
+            </property>
+            <property name="efficiency">
+               <value>0</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="manufacturer">
+               <value>Block</value>
+            </property>
+            <property name="product">
+               <value>PVSE230/12-15</value>
+            </property>
+            <property name="maxPower">
+               <value>0.0</value>
+            </property>
+         </parameter>
+         <parameter name="hostname">
+            <value>atom64_mc</value>
+         </parameter>
+         <parameter name="fullPath">
+            <value>/Rack82</value>
+         </parameter>
+         <computingResource name="Node19" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_01</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node19</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node20" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_02</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node20</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node21" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_03</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node21</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node22" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_04</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node22</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node23" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_05</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node23</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node24" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_06</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node24</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node25" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_07</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node25</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node26" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_08</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node26</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node27" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_09</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node27</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node28" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_10</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node28</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node29" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_11</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node29</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node30" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_12</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node30</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node31" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_13</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node31</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node32" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_14</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node32</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node33" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_15</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node33</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node34" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_16</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node34</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node35" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_17</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node35</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node36" class="Node">
+            <templateId>Node-node_psnc_AtomD510</templateId>
+            <parameter name="hostname">
+               <value>atom64_0_18</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack82/Node36</value>
+            </parameter>
+         </computingResource>
+      </computingResource>
+      <scheduler class="Cluster" name="cluster">
+         <schedulingPlugin>
+            <name>example.localplugin.FCFSBF_LocalPlugin</name>
+         </schedulingPlugin>
+         <managedComputingResources include="false">
+            <resourceName>Node19</resourceName>
+            <resourceName>Node20</resourceName>
+            <resourceName>Node21</resourceName>
+            <resourceName>Node22</resourceName>
+            <resourceName>Node23</resourceName>
+            <resourceName>Node24</resourceName>
+            <resourceName>Node25</resourceName>
+            <resourceName>Node26</resourceName>
+            <resourceName>Node27</resourceName>
+            <resourceName>Node28</resourceName>
+            <resourceName>Node29</resourceName>
+            <resourceName>Node30</resourceName>
+            <resourceName>Node31</resourceName>
+            <resourceName>Node32</resourceName>
+            <resourceName>Node33</resourceName>
+            <resourceName>Node34</resourceName>
+            <resourceName>Node35</resourceName>
+            <resourceName>Node36</resourceName>
+         </managedComputingResources>
+      </scheduler>
+   </resources>
+   <templates>
+      <computingResourceTemplate name="Node-node_psnc_AtomD510" class="Node">
+         <parameter name="fullPath">
+            <value>/Node-node_psnc_AtomD510</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+      </computingResourceTemplate>
+   </templates>
+</environment>