Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_HLRSRECSv1.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_HLRSRECSv1.xml	(revision 993)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_HLRSRECSv1.xml	(revision 993)
@@ -0,0 +1,304 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+			This is DEBB information (taken from PLM XML and DEBBComponent
+			files), updated by schedulers and estimators. Moreover, all elements
+			are sorted and appear in correct order, according to the schema.
+		--><!--
+			Schedulers and estimators information is loaded from
+			../../debb2dcworms/example/example1.xml
+			file
+		--><environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+             xsi:noNamespaceSchemaLocation="../DCWormsResSchema.xsd">
+   <timeEstimationPlugin>
+      <name>example.timeestimation.RecsTimeEstimationPlugin</name>
+   </timeEstimationPlugin>
+   <resources>
+      <computingResource name="Rack71" class="NodeGroup">
+         <parameter name="manufacturer">
+            <value>Christmann</value>
+         </parameter>
+         <parameter name="product">
+            <value>RECS</value>
+         </parameter>
+         <parameter name="maxPower">
+            <value>0.0</value>
+         </parameter>
+         <parameter name="powerSupply">
+            <property name="class">
+               <value>PSU</value>
+            </property>
+            <property name="totalOutputPower">
+               <value>180.0</value>
+            </property>
+            <property name="efficiency">
+               <value>0</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="manufacturer">
+               <value>Block</value>
+            </property>
+            <property name="product">
+               <value>PVSE230/12-15</value>
+            </property>
+            <property name="maxPower">
+               <value>0.0</value>
+            </property>
+         </parameter>
+         <parameter name="hostname">
+            <value>gamescontroller.hlrs.de</value>
+         </parameter>
+         <parameter name="fullPath">
+            <value>/Rack71</value>
+         </parameter>
+         <computingResource name="Node1" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n001</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node1</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node2" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n002</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node2</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node3" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n003</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node3</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node4" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n004</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node4</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node5" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n005</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node5</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node6" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n006</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node6</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node7" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n007</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node7</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node8" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n008</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node8</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node9" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n009</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node9</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node10" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n010</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node10</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node11" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n011</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node11</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node12" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n012</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node12</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node13" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n013</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node13</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node14" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n014</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node14</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node15" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n015</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node15</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node16" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n016</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node16</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node17" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n017</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node17</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node18" class="Node">
+            <templateId>Node-node_Core2Duo</templateId>
+            <parameter name="hostname">
+               <value>n018</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack71/Node18</value>
+            </parameter>
+         </computingResource>
+      </computingResource>
+      <scheduler class="Cluster" name="cluster">
+         <schedulingPlugin>
+            <name>example.localplugin.FCFSBF_LocalPlugin</name>
+         </schedulingPlugin>
+         <managedComputingResources include="false">
+            <resourceName>Node1</resourceName>
+            <resourceName>Node2</resourceName>
+            <resourceName>Node3</resourceName>
+            <resourceName>Node4</resourceName>
+            <resourceName>Node5</resourceName>
+            <resourceName>Node6</resourceName>
+            <resourceName>Node7</resourceName>
+            <resourceName>Node8</resourceName>
+            <resourceName>Node9</resourceName>
+            <resourceName>Node10</resourceName>
+            <resourceName>Node11</resourceName>
+            <resourceName>Node12</resourceName>
+            <resourceName>Node13</resourceName>
+            <resourceName>Node14</resourceName>
+            <resourceName>Node15</resourceName>
+            <resourceName>Node16</resourceName>
+            <resourceName>Node17</resourceName>
+            <resourceName>Node18</resourceName>
+         </managedComputingResources>
+      </scheduler>
+   </resources>
+   <templates>
+      <computingResourceTemplate name="Node-node_Core2Duo" class="Node">
+         <resourceUnit class="Memory">
+            <amount>4096</amount>
+         </resourceUnit>
+         <parameter name="manufacturer">
+            <value>Congatec</value>
+         </parameter>
+         <parameter name="product">
+            <value>conga-BM45/P8400</value>
+         </parameter>
+         <parameter name="baseboard"><!--BasicDEBBPhysicalElementProperties--><property name="manufacturer">
+               <value>Congatec</value>
+            </property>
+            <property name="product">
+               <value>conga-BM45</value>
+            </property>
+         </parameter>
+         <parameter name="sensor">
+            <property name="class">
+               <value>Temperature</value>
+            </property>
+            <property name="unit">
+               <value>Â°C</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="sensor">
+            <property name="class">
+               <value>Power</value>
+            </property>
+            <property name="unit">
+               <value>W</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="fullPath">
+            <value>/Node-node_Core2Duo</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+         <computingResource class="Processor">
+            <parameter name="manufacturer">
+               <value>Intel</value>
+            </parameter>
+            <parameter name="product">
+               <value>Core 2 Duo P8400</value>
+            </parameter>
+            <parameter name="maxPower">
+               <value>25.0</value>
+            </parameter>
+            <parameter name="speed">
+               <value>2267</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/</value>
+            </parameter>
+         </computingResource>
+      </computingResourceTemplate>
+   </templates>
+</environment>