Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_HLRS_SmallServerRoom.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_HLRS_SmallServerRoom.xml	(revision 994)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_HLRS_SmallServerRoom.xml	(revision 994)
@@ -0,0 +1,912 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+			This is DEBB information (taken from PLM XML and DEBBComponent
+			files), updated by schedulers and estimators. Moreover, all elements
+			are sorted and appear in correct order, according to the schema.
+		--><!--
+			Schedulers and estimators information is loaded from
+			../../debb2dcworms/example/example1.xml
+			file
+		--><environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+             xsi:noNamespaceSchemaLocation="../DCWormsResSchema.xsd">
+   <timeEstimationPlugin>
+      <name>example.timeestimation.RecsTimeEstimationPlugin</name>
+   </timeEstimationPlugin>
+   <resources>
+      <computingResource name="HLRS_SmallServerRoom" class="ComputeBox2">
+         <resourceUnit class="Storage" type="Disc Library">
+            <amount unit="MB">0</amount>
+            <parameter name="interface">
+               <value>Interface</value>
+            </parameter>
+            <parameter name="manufacturer">
+               <value>IBM</value>
+            </parameter>
+         </resourceUnit>
+         <parameter name="manufacturer">
+            <value>HLRS</value>
+         </parameter>
+         <parameter name="product">
+            <value>SmallServerRoom</value>
+         </parameter>
+         <parameter name="maxPower">
+            <value>200000</value>
+         </parameter>
+         <parameter name="sensor">
+            <property name="class">
+               <value>Temperature</value>
+            </property>
+            <property name="unit">
+               <value>Â°C</value>
+            </property>
+            <property name="minValue">
+               <value>0.0</value>
+            </property>
+            <property name="maxValue">
+               <value>110.0</value>
+            </property>
+            <property name="factor">
+               <value>1.0</value>
+            </property>
+            <property name="accuracy">
+               <value>10.0</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="sensor">
+            <property name="class">
+               <value>Temperature</value>
+            </property>
+            <property name="unit">
+               <value>Â°C</value>
+            </property>
+            <property name="minValue">
+               <value>0.0</value>
+            </property>
+            <property name="maxValue">
+               <value>110.0</value>
+            </property>
+            <property name="factor">
+               <value>1.0</value>
+            </property>
+            <property name="accuracy">
+               <value>10.0</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="CoolingDevice">
+            <property name="class">
+               <value>CRAH</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="maxPower">
+               <value>0.0</value>
+            </property>
+         </parameter>
+         <parameter name="fullPath">
+            <value>/HLRS_SmallServerRoom</value>
+         </parameter>
+         <computingResource name="Rack01" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack01</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack02" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack02</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack04" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack04</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack03" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack03</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack05" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack05</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack06" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack06</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack07" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack07</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack08" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack08</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack09" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack09</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack10" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack10</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack11" class="ComputeBox1">
+            <resourceUnit class="Storage" type="Diverse">
+               <amount unit="MB">6000</amount>
+               <parameter name="interface">
+                  <value>2*GBit Ethernet</value>
+               </parameter>
+               <parameter name="manufacturer">
+                  <value>Christmann</value>
+               </parameter>
+               <parameter name="maxPower">
+                  <value>350.0</value>
+               </parameter>
+            </resourceUnit>
+            <parameter name="manufacturer">
+               <value>NEC</value>
+            </parameter>
+            <parameter name="sensor">
+               <property name="class">
+                  <value>Temperature</value>
+               </property>
+               <property name="unit">
+                  <value>Â°C</value>
+               </property>
+               <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+            <parameter name="label">
+               <value>GAMES Rack</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack11</value>
+            </parameter>
+            <computingResource name="Rack70" class="Node">
+               <templateId>Node-</templateId>
+               <parameter name="fullPath">
+                  <value>/HLRS_SmallServerRoom/Rack11/Rack70</value>
+               </parameter>
+            </computingResource>
+            <computingResource name="Rack71" class="NodeGroup">
+               <parameter name="manufacturer">
+                  <value>Christmann</value>
+               </parameter>
+               <parameter name="product">
+                  <value>RECS</value>
+               </parameter>
+               <parameter name="maxPower">
+                  <value>0.0</value>
+               </parameter>
+               <parameter name="powerSupply">
+                  <property name="class">
+                     <value>PSU</value>
+                  </property>
+                  <property name="totalOutputPower">
+                     <value>180.0</value>
+                  </property>
+                  <property name="efficiency">
+                     <value>0</value>
+                  </property>
+                  <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="manufacturer">
+                     <value>Block</value>
+                  </property>
+                  <property name="product">
+                     <value>PVSE230/12-15</value>
+                  </property>
+                  <property name="maxPower">
+                     <value>0.0</value>
+                  </property>
+               </parameter>
+               <parameter name="hostname">
+                  <value>recs1</value>
+               </parameter>
+               <parameter name="fullPath">
+                  <value>/HLRS_SmallServerRoom/Rack11/Rack71</value>
+               </parameter>
+               <computingResource name="Node1" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n001</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node1</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node2" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n002</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node2</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node3" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n003</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node3</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node4" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n004</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node4</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node5" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n005</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node5</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node6" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n006</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node6</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node7" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n007</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node7</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node8" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n008</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node8</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node9" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n009</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node9</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node10" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n010</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node10</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node11" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n011</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node11</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node12" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n012</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node12</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node13" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n013</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node13</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node14" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n014</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node14</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node15" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n015</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node15</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node16" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n016</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node16</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node17" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n017</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node17</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node18" class="Node">
+                  <templateId>Node-node_hlrs_Core2Duo</templateId>
+                  <parameter name="hostname">
+                     <value>n018</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack71/Node18</value>
+                  </parameter>
+               </computingResource>
+            </computingResource>
+            <computingResource name="Rack72" class="NodeGroup">
+               <parameter name="manufacturer">
+                  <value>Christmann</value>
+               </parameter>
+               <parameter name="product">
+                  <value>RECS</value>
+               </parameter>
+               <parameter name="maxPower">
+                  <value>0.0</value>
+               </parameter>
+               <parameter name="powerSupply">
+                  <property name="class">
+                     <value>PSU</value>
+                  </property>
+                  <property name="totalOutputPower">
+                     <value>180.0</value>
+                  </property>
+                  <property name="efficiency">
+                     <value>0</value>
+                  </property>
+                  <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="manufacturer">
+                     <value>Block</value>
+                  </property>
+                  <property name="product">
+                     <value>PVSE230/12-15</value>
+                  </property>
+                  <property name="maxPower">
+                     <value>0.0</value>
+                  </property>
+               </parameter>
+               <parameter name="hostname">
+                  <value>recs2</value>
+               </parameter>
+               <parameter name="fullPath">
+                  <value>/HLRS_SmallServerRoom/Rack11/Rack72</value>
+               </parameter>
+               <computingResource name="Node19" class="Node">
+                  <templateId>Node-node_hlrs_AtomZ530</templateId>
+                  <parameter name="hostname">
+                     <value>n_a_1</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node19</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node20" class="Node">
+                  <templateId>Node-node_hlrs_AtomZ530</templateId>
+                  <parameter name="hostname">
+                     <value>n_a_2</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node20</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node21" class="Node">
+                  <templateId>Node-node_hlrs_AtomZ530</templateId>
+                  <parameter name="hostname">
+                     <value>n_a_3</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node21</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node22" class="Node">
+                  <templateId>Node-node_hlrs_AtomZ530</templateId>
+                  <parameter name="hostname">
+                     <value>n_a_4</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node22</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node23" class="Node">
+                  <templateId>Node-node_hlrs_AtomZ530</templateId>
+                  <parameter name="hostname">
+                     <value>n_a_5</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node23</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node24" class="Node">
+                  <templateId>Node-node_hlrs_AtomZ530</templateId>
+                  <parameter name="hostname">
+                     <value>n_a_6</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node24</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node25" class="Node">
+                  <templateId>Node-node_hlrs_FusionGT56N</templateId>
+                  <parameter name="hostname">
+                     <value>n_f_1</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node25</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node26" class="Node">
+                  <templateId>Node-node_hlrs_FusionGT56N</templateId>
+                  <parameter name="hostname">
+                     <value>n_f_2</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node26</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node27" class="Node">
+                  <templateId>Node-node_hlrs_FusionGT56N</templateId>
+                  <parameter name="hostname">
+                     <value>n_f_3</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node27</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node28" class="Node">
+                  <templateId>Node-node_hlrs_FusionGT56N</templateId>
+                  <parameter name="hostname">
+                     <value>n_f_4</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node28</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node29" class="Node">
+                  <templateId>Node-node_hlrs_FusionGT56N</templateId>
+                  <parameter name="hostname">
+                     <value>n_f_5</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node29</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node30" class="Node">
+                  <templateId>Node-node_hlrs_FusionGT56N</templateId>
+                  <parameter name="hostname">
+                     <value>n_f_6</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node30</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node31" class="Node">
+                  <templateId>Node-node_hlrs_i7-8GB</templateId>
+                  <parameter name="hostname">
+                     <value>n_i7_1</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node31</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node32" class="Node">
+                  <templateId>Node-node_hlrs_i7-8GB</templateId>
+                  <parameter name="hostname">
+                     <value>n_i7_2</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node32</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node33" class="Node">
+                  <templateId>Node-node_hlrs_i7-8GB</templateId>
+                  <parameter name="hostname">
+                     <value>n_i7_3</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node33</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node34" class="Node">
+                  <templateId>Node-node_hlrs_i7-8GB</templateId>
+                  <parameter name="hostname">
+                     <value>n_i7_4</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node34</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node35" class="Node">
+                  <templateId>Node-node_hlrs_i7-8GB</templateId>
+                  <parameter name="hostname">
+                     <value>n_i7_5</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node35</value>
+                  </parameter>
+               </computingResource>
+               <computingResource name="Node36" class="Node">
+                  <templateId>Node-node_hlrs_i7-8GB</templateId>
+                  <parameter name="hostname">
+                     <value>n_i7_6</value>
+                  </parameter>
+                  <parameter name="fullPath">
+                     <value>/HLRS_SmallServerRoom/Rack11/Rack72/Node36</value>
+                  </parameter>
+               </computingResource>
+            </computingResource>
+            <computingResource name="Rack73" class="">
+               <parameter name="hostname">
+                  <value>intern</value>
+               </parameter>
+               <parameter name="label">
+                  <value>GAMES Intern</value>
+               </parameter>
+               <parameter name="fullPath">
+                  <value>/HLRS_SmallServerRoom/Rack11/Rack73</value>
+               </parameter>
+            </computingResource>
+            <computingResource name="Rack74" class="">
+               <parameter name="hostname">
+                  <value>storage</value>
+               </parameter>
+               <parameter name="label">
+                  <value>GAMES Storage</value>
+               </parameter>
+               <parameter name="fullPath">
+                  <value>/HLRS_SmallServerRoom/Rack11/Rack74</value>
+               </parameter>
+            </computingResource>
+            <computingResource name="Rack75" class="">
+               <parameter name="hostname">
+                  <value>head</value>
+               </parameter>
+               <parameter name="label">
+                  <value>GAMES Head</value>
+               </parameter>
+               <parameter name="fullPath">
+                  <value>/HLRS_SmallServerRoom/Rack11/Rack75</value>
+               </parameter>
+            </computingResource>
+         </computingResource>
+         <computingResource name="Rack12" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack12</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack13" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack13</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack14" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack14</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack24" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack24</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack25" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack25</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack27" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack27</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack28" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack28</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack37" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack37</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack38" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack38</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack15" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack15</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack16" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack16</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack17" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack17</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack18" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack18</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack19" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack19</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack20" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack20</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack21" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack21</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack22" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack22</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack23" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack23</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack26" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack26</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack29" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack29</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack30" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack30</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack31" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack31</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack32" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack32</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack33" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack33</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack34" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack34</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack35" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack35</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack36" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack36</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack39" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack39</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack40" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack40</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack41" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack41</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack42" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack42</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack43" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack43</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack44" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack44</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack45" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack45</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack46" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack46</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack47" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack47</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack48" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack48</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack49" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack49</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack50" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack50</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Rack51" class="ComputeBox1">
+            <parameter name="fullPath">
+               <value>/HLRS_SmallServerRoom/Rack51</value>
+            </parameter>
+         </computingResource>
+      </computingResource>
+      <scheduler class="Cluster" name="cluster">
+         <schedulingPlugin>
+            <name>example.localplugin.FCFSBF_LocalPlugin</name>
+         </schedulingPlugin>
+         <managedComputingResources include="false">
+            <resourceName>Rack70</resourceName>
+            <resourceName>Node1</resourceName>
+            <resourceName>Node2</resourceName>
+            <resourceName>Node3</resourceName>
+            <resourceName>Node4</resourceName>
+            <resourceName>Node5</resourceName>
+            <resourceName>Node6</resourceName>
+            <resourceName>Node7</resourceName>
+            <resourceName>Node8</resourceName>
+            <resourceName>Node9</resourceName>
+            <resourceName>Node10</resourceName>
+            <resourceName>Node11</resourceName>
+            <resourceName>Node12</resourceName>
+            <resourceName>Node13</resourceName>
+            <resourceName>Node14</resourceName>
+            <resourceName>Node15</resourceName>
+            <resourceName>Node16</resourceName>
+            <resourceName>Node17</resourceName>
+            <resourceName>Node18</resourceName>
+            <resourceName>Node19</resourceName>
+            <resourceName>Node20</resourceName>
+            <resourceName>Node21</resourceName>
+            <resourceName>Node22</resourceName>
+            <resourceName>Node23</resourceName>
+            <resourceName>Node24</resourceName>
+            <resourceName>Node25</resourceName>
+            <resourceName>Node26</resourceName>
+            <resourceName>Node27</resourceName>
+            <resourceName>Node28</resourceName>
+            <resourceName>Node29</resourceName>
+            <resourceName>Node30</resourceName>
+            <resourceName>Node31</resourceName>
+            <resourceName>Node32</resourceName>
+            <resourceName>Node33</resourceName>
+            <resourceName>Node34</resourceName>
+            <resourceName>Node35</resourceName>
+            <resourceName>Node36</resourceName>
+         </managedComputingResources>
+      </scheduler>
+   </resources>
+   <templates>
+      <computingResourceTemplate name="Node-" class="Node">
+         <parameter name="fullPath">
+            <value>/Node-</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+      </computingResourceTemplate>
+      <computingResourceTemplate name="Node-node_hlrs_Core2Duo" class="Node">
+         <parameter name="fullPath">
+            <value>/Node-node_hlrs_Core2Duo</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+      </computingResourceTemplate>
+      <computingResourceTemplate name="Node-node_hlrs_AtomZ530" class="Node">
+         <parameter name="fullPath">
+            <value>/Node-node_hlrs_AtomZ530</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+      </computingResourceTemplate>
+      <computingResourceTemplate name="Node-node_hlrs_FusionGT56N" class="Node">
+         <parameter name="fullPath">
+            <value>/Node-node_hlrs_FusionGT56N</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+      </computingResourceTemplate>
+      <computingResourceTemplate name="Node-node_hlrs_i7-8GB" class="Node">
+         <parameter name="fullPath">
+            <value>/Node-node_hlrs_i7-8GB</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+      </computingResourceTemplate>
+   </templates>
+</environment>