Index: /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_HLRS_RECS_2.xml
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_HLRS_RECS_2.xml	(revision 995)
+++ /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_HLRS_RECS_2.xml	(revision 995)
@@ -0,0 +1,279 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+			This is DEBB information (taken from PLM XML and DEBBComponent
+			files), updated by schedulers and estimators. Moreover, all elements
+			are sorted and appear in correct order, according to the schema.
+		--><!--
+			Schedulers and estimators information is loaded from
+			../../debb2dcworms/example/example1.xml
+			file
+		--><environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+             xsi:noNamespaceSchemaLocation="../DCWormsResSchema.xsd">
+   <timeEstimationPlugin>
+      <name>example.timeestimation.RecsTimeEstimationPlugin</name>
+   </timeEstimationPlugin>
+   <resources>
+      <computingResource name="Rack72" class="NodeGroup">
+         <parameter name="manufacturer">
+            <value>Christmann</value>
+         </parameter>
+         <parameter name="product">
+            <value>RECS</value>
+         </parameter>
+         <parameter name="maxPower">
+            <value>0.0</value>
+         </parameter>
+         <parameter name="powerSupply">
+            <property name="class">
+               <value>PSU</value>
+            </property>
+            <property name="totalOutputPower">
+               <value>180.0</value>
+            </property>
+            <property name="efficiency">
+               <value>0</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="manufacturer">
+               <value>Block</value>
+            </property>
+            <property name="product">
+               <value>PVSE230/12-15</value>
+            </property>
+            <property name="maxPower">
+               <value>0.0</value>
+            </property>
+         </parameter>
+         <parameter name="hostname">
+            <value>recs2</value>
+         </parameter>
+         <parameter name="fullPath">
+            <value>/Rack72</value>
+         </parameter>
+         <computingResource name="Node19" class="Node">
+            <templateId>Node-node_hlrs_AtomZ530</templateId>
+            <parameter name="hostname">
+               <value>n_a_1</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node19</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node20" class="Node">
+            <templateId>Node-node_hlrs_AtomZ530</templateId>
+            <parameter name="hostname">
+               <value>n_a_2</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node20</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node21" class="Node">
+            <templateId>Node-node_hlrs_AtomZ530</templateId>
+            <parameter name="hostname">
+               <value>n_a_3</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node21</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node22" class="Node">
+            <templateId>Node-node_hlrs_AtomZ530</templateId>
+            <parameter name="hostname">
+               <value>n_a_4</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node22</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node23" class="Node">
+            <templateId>Node-node_hlrs_AtomZ530</templateId>
+            <parameter name="hostname">
+               <value>n_a_5</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node23</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node24" class="Node">
+            <templateId>Node-node_hlrs_AtomZ530</templateId>
+            <parameter name="hostname">
+               <value>n_a_6</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node24</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node25" class="Node">
+            <templateId>Node-node_hlrs_FusionGT56N</templateId>
+            <parameter name="hostname">
+               <value>n_f_1</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node25</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node26" class="Node">
+            <templateId>Node-node_hlrs_FusionGT56N</templateId>
+            <parameter name="hostname">
+               <value>n_f_2</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node26</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node27" class="Node">
+            <templateId>Node-node_hlrs_FusionGT56N</templateId>
+            <parameter name="hostname">
+               <value>n_f_3</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node27</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node28" class="Node">
+            <templateId>Node-node_hlrs_FusionGT56N</templateId>
+            <parameter name="hostname">
+               <value>n_f_4</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node28</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node29" class="Node">
+            <templateId>Node-node_hlrs_FusionGT56N</templateId>
+            <parameter name="hostname">
+               <value>n_f_5</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node29</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node30" class="Node">
+            <templateId>Node-node_hlrs_FusionGT56N</templateId>
+            <parameter name="hostname">
+               <value>n_f_6</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node30</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node31" class="Node">
+            <templateId>Node-node_hlrs_i7-8GB</templateId>
+            <parameter name="hostname">
+               <value>n_i7_1</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node31</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node32" class="Node">
+            <templateId>Node-node_hlrs_i7-8GB</templateId>
+            <parameter name="hostname">
+               <value>n_i7_2</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node32</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node33" class="Node">
+            <templateId>Node-node_hlrs_i7-8GB</templateId>
+            <parameter name="hostname">
+               <value>n_i7_3</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node33</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node34" class="Node">
+            <templateId>Node-node_hlrs_i7-8GB</templateId>
+            <parameter name="hostname">
+               <value>n_i7_4</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node34</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node35" class="Node">
+            <templateId>Node-node_hlrs_i7-8GB</templateId>
+            <parameter name="hostname">
+               <value>n_i7_5</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node35</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node36" class="Node">
+            <templateId>Node-node_hlrs_i7-8GB</templateId>
+            <parameter name="hostname">
+               <value>n_i7_6</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/Rack72/Node36</value>
+            </parameter>
+         </computingResource>
+      </computingResource>
+      <scheduler class="Cluster" name="cluster">
+         <schedulingPlugin>
+            <name>example.localplugin.FCFSBF_LocalPlugin</name>
+         </schedulingPlugin>
+         <managedComputingResources include="false">
+            <resourceName>Node19</resourceName>
+            <resourceName>Node20</resourceName>
+            <resourceName>Node21</resourceName>
+            <resourceName>Node22</resourceName>
+            <resourceName>Node23</resourceName>
+            <resourceName>Node24</resourceName>
+            <resourceName>Node25</resourceName>
+            <resourceName>Node26</resourceName>
+            <resourceName>Node27</resourceName>
+            <resourceName>Node28</resourceName>
+            <resourceName>Node29</resourceName>
+            <resourceName>Node30</resourceName>
+            <resourceName>Node31</resourceName>
+            <resourceName>Node32</resourceName>
+            <resourceName>Node33</resourceName>
+            <resourceName>Node34</resourceName>
+            <resourceName>Node35</resourceName>
+            <resourceName>Node36</resourceName>
+         </managedComputingResources>
+      </scheduler>
+   </resources>
+   <templates>
+      <computingResourceTemplate name="Node-node_hlrs_AtomZ530" class="Node">
+         <parameter name="fullPath">
+            <value>/Node-node_hlrs_AtomZ530</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+      </computingResourceTemplate>
+      <computingResourceTemplate name="Node-node_hlrs_FusionGT56N" class="Node">
+         <parameter name="fullPath">
+            <value>/Node-node_hlrs_FusionGT56N</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+      </computingResourceTemplate>
+      <computingResourceTemplate name="Node-node_hlrs_i7-8GB" class="Node">
+         <parameter name="fullPath">
+            <value>/Node-node_hlrs_i7-8GB</value>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+      </computingResourceTemplate>
+   </templates>
+</environment>