Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/src/PLMXMLTranslator.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/src/PLMXMLTranslator.java	(revision 1017)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/src/PLMXMLTranslator.java	(revision 1018)
@@ -5,4 +5,5 @@
 
 import java.io.FileOutputStream;
+import java.io.IOException;
 import java.util.HashMap;
 
@@ -15,8 +16,4 @@
  */
 public class PLMXMLTranslator {
-	private static final String DEFAULT_INPUT_FILE_NAME = "src/test/DEBBTranslator/xml/example/PLMXML_HLRSSmallServerRoom.xml";
-	private static final String DEFAULT_OUTPUT_FILE_NAME = DEFAULT_INPUT_FILE_NAME.replace("PLMXML", "DCWORMS");
-
-//	private static final String DEFAULT_INPUT_FILE_NAME = "src/test/DEBBTranslator/xml/PLMXML_PSNCRECS.xml";
 	private static final String DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME = "src/test/DEBBTranslator/xml/PLMXMLTranslator.xsl";
 	private static final String DEFAULT_UPDATE_TRANSFORMATION_FILE_NAME = "src/test/DEBBTranslator/xml/DCWoRMSDEBBUpdater.xsl";
@@ -40,46 +37,58 @@
 	 */
 	public static void main(String[] args) throws Exception {
-		String inputFileName = DEFAULT_INPUT_FILE_NAME;
-		String outputFileName = DEFAULT_OUTPUT_FILE_NAME;
+		String inputFileName = null;
+		String outputFileName = null;
 		String debbTransformationFileName = DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME;
 		String schedulersAndEstimatorsFileName = DEFAULT_SCHEDULERS_AND_ESTIMATORS_FILE_NAME;
 		String templateStartLevel = DEFAULT_TEMPLATE_START_LEVEL;
 		
-		if (args != null && args.length > 0) {
-			inputFileName = args[0];
-			if (inputFileName == null
-					|| (inputFileName != null && inputFileName.isEmpty() == true)) {
-				inputFileName = DEFAULT_INPUT_FILE_NAME;
+		if (args == null || args.length == 0) {
+			throw new IOException("No arguments specified. Please specify at least input file path.");
+		}
+		
+		//	Input file
+		inputFileName = args[0];
+		if (inputFileName == null
+				|| (inputFileName != null && inputFileName.isEmpty() == true)) {
+
+			throw new IOException("Input file not specified!");
+		}
+
+		if (args.length > 1) {
+			//	Output file
+			outputFileName = args[1];
+		} 
+		if (outputFileName == null
+				|| (outputFileName != null && outputFileName.isEmpty() == true)) {
+		
+			outputFileName = inputFileName.replace("PLMXML", "DCWORMS");
+		}
+			
+		
+		if (args.length > 2) {
+			//	File where schedulers and estimators are defined (optional)
+			schedulersAndEstimatorsFileName = args[2];
+			if (schedulersAndEstimatorsFileName == null
+					|| (schedulersAndEstimatorsFileName != null && schedulersAndEstimatorsFileName.isEmpty() == true)) {
+				schedulersAndEstimatorsFileName = DEFAULT_SCHEDULERS_AND_ESTIMATORS_FILE_NAME;
+				
 			}
+		}
 
-			if (args.length > 1) {
-				outputFileName = args[1];
-				if (outputFileName == null
-						|| (outputFileName != null && outputFileName.isEmpty() == true)) {
-					outputFileName = DEFAULT_OUTPUT_FILE_NAME;
-					
-				}
+		if (args.length > 3) {
+			//	Level from which all computing resources are defined in templates (optional)
+			templateStartLevel = args[3];
+			if (templateStartLevel == null
+					|| (templateStartLevel != null && templateStartLevel.isEmpty() == true)) {
+				templateStartLevel = DEFAULT_TEMPLATE_START_LEVEL;
+				
 			}
+		}
 			
-			if (args.length > 2) {
-				schedulersAndEstimatorsFileName = args[2];
-				if (schedulersAndEstimatorsFileName == null
-						|| (schedulersAndEstimatorsFileName != null && schedulersAndEstimatorsFileName.isEmpty() == true)) {
-					schedulersAndEstimatorsFileName = DEFAULT_SCHEDULERS_AND_ESTIMATORS_FILE_NAME;
-					
-				}
-			}
-	
-			if (args.length > 3) {
-				templateStartLevel = args[3];
-				if (templateStartLevel == null
-						|| (templateStartLevel != null && templateStartLevel.isEmpty() == true)) {
-					templateStartLevel = DEFAULT_TEMPLATE_START_LEVEL;
-					
-				}
-			}
-
+		System.out.println("inputFileName=" + inputFileName);
+		System.out.println("outputFileName=" + outputFileName);
+		System.out.println("schedulersAndEstimatorsFileName=" + schedulersAndEstimatorsFileName);
+		System.out.println("templateStartLevel=" + templateStartLevel);
 			
-		}
 		
 		if (inputFileName.compareTo(outputFileName) == 0) {
@@ -105,8 +114,4 @@
 		resourceUnitClasses.put("Storage", "Storage");
 		
-		System.out.println("inputFileName=" + inputFileName);
-		System.out.println("outputFileName=" + outputFileName);
-		System.out.println("schedulersAndEstimatorsFileName=" + schedulersAndEstimatorsFileName);
-		System.out.println("templateStartLevel=" + templateStartLevel);
 		
 		try {