Index: /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNC_RECS_1_By_Gosia.xml
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNC_RECS_1_By_Gosia.xml	(revision 1024)
+++ /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNC_RECS_1_By_Gosia.xml	(revision 1024)
@@ -0,0 +1,714 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+			This is DEBB information (taken from PLM XML and DEBBComponent
+			files), updated by schedulers and estimators. Moreover, all elements
+			are sorted and appear in correct order, according to the schema.
+		--><!--
+			Schedulers and estimators information is loaded from
+			../../debb2dcworms/example/example1.xml
+			file
+		--><environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+             xsi:noNamespaceSchemaLocation="../DCWormsResSchema.xsd">
+   <timeEstimationPlugin>
+      <name>example.timeestimation.RecsTimeEstimationPlugin</name>
+   </timeEstimationPlugin>
+   <resources>
+      <computingResource name="PSNC_RECS_1" class="NodeGroup">
+         <parameter name="label">
+            <value>RECS</value>
+         </parameter>
+         <parameter name="manufacturer">
+            <value>Christmann</value>
+         </parameter>
+         <parameter name="product">
+            <value>RECS</value>
+         </parameter>
+         <parameter name="maxPower">
+            <value>1000</value>
+         </parameter>
+         <parameter name="type">
+            <value>NodeGroupEnclosure</value>
+         </parameter>
+         <parameter name="outlet">
+            <property name="maxRPM">
+               <value>0</value>
+            </property>
+            <!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Outlet_1</value>
+            </property>
+            <property name="manufacturer">
+               <value>Christmann</value>
+            </property>
+            <property name="product">
+               <value>SimpleFan</value>
+            </property>
+            <property name="maxPower">
+               <value>3.0</value>
+            </property>
+            <property name="powerUsage">
+               <value>3.0</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Outlet_2</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Outlet_3</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Outlet_4</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Outlet_5</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Outlet_6</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Outlet_7</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Outlet_8</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Outlet_9</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Inlet_1</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Inlet_2</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Inlet_3</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Inlet_4</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Inlet_5</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Inlet_6</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Inlet_7</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Inlet_8</value>
+            </property>
+            <property name="type">
+               <value>Fan</value>
+            </property>
+         </parameter>
+         <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="connector">
+            <property name="connectorType">
+               <value>1_rack_unit</value>
+            </property>
+            <property name="label">
+               <value>Label</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>1</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_1</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>2</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_3</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>3</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_3</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>4</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_4</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>5</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_5</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>6</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_6</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>7</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_7</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>8</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_8</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>9</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_9</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>10</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_10</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>11</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_11</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>12</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_12</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>13</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_13</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>14</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_14</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>15</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_15</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>16</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_16</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>17</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_17</value>
+            </property>
+         </parameter>
+         <parameter name="slot">
+            <property name="number">
+               <value>18</value>
+            </property>
+            <property name="connectorType">
+               <value>ComExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>Slot_18</value>
+            </property>
+         </parameter>
+         <parameter name="hostname">
+            <value>amf_mc</value>
+         </parameter>
+         <parameter name="fullPath">
+            <value>/PSNC_RECS_1</value>
+         </parameter>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_1" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_01</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_1</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_2" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_02</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_2</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_3" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_03</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_3</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_4" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_04</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_4</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_5" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_05</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_5</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_6" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_0v6</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_6</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_7" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_07</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_7</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_8" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_08</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_8</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_9" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_09</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_9</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_10" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_10</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_10</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_11" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_11</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_11</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_12" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_12</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_12</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_13" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_13</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_13</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_14" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_14</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_14</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_15" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_15</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_15</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_16" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_16</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_16</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_17" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_17</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_17</value>
+            </parameter>
+         </computingResource>
+         <computingResource name="Node@PSNC_RECS_1@inst_recs_1_node_18" class="Node">
+            <templateId>Node-node_psnc_FusionGT40N</templateId>
+            <parameter name="hostname">
+               <value>amdf_0_18</value>
+            </parameter>
+            <parameter name="fullPath">
+               <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_18</value>
+            </parameter>
+         </computingResource>
+      </computingResource>
+      <scheduler class="Cluster" name="cluster">
+         <schedulingPlugin>
+            <name>example.localplugin.FCFSBF_LocalPlugin</name>
+         </schedulingPlugin>
+         <managedComputingResources include="false">
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_1</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_2</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_3</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_4</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_5</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_6</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_7</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_8</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_9</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_10</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_11</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_12</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_13</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_14</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_15</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_16</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_17</resourceName>
+            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_18</resourceName>
+         </managedComputingResources>
+      </scheduler>
+   </resources>
+   <templates>
+      <computingResourceTemplate name="Node-node_psnc_FusionGT40N" class="Node">
+         <resourceUnit class="Memory">
+            <amount>4096</amount>
+         </resourceUnit>
+         <parameter name="label">
+            <value>node_FusionGT40N</value>
+         </parameter>
+         <parameter name="manufacturer">
+            <value>Congatec</value>
+         </parameter>
+         <parameter name="product">
+            <value>conga-BAF/T40N</value>
+         </parameter>
+         <parameter name="maxPower">
+            <value>21.0</value>
+         </parameter>
+         <parameter name="type">
+            <value>Node</value>
+         </parameter>
+         <parameter name="baseboard"><!--BasicDEBBPhysicalElementProperties--><property name="manufacturer">
+               <value>Congatec</value>
+            </property>
+            <property name="product">
+               <value>conga-BAF</value>
+            </property>
+            <property name="maxPower">
+               <value>12.0</value>
+            </property>
+            <property name="powerUsage">
+               <value>10.0</value>
+            </property>
+            <property name="type">
+               <value>NodeBoard</value>
+            </property>
+         </parameter>
+         <parameter name="heatsink"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--><property name="label">
+               <value>Heatsink_1</value>
+            </property>
+            <property name="type">
+               <value>Cooler</value>
+            </property>
+         </parameter>
+         <parameter name="connector">
+            <property name="connectorType">
+               <value>COMExpress Type 2</value>
+            </property>
+            <property name="label">
+               <value>COMExpress</value>
+            </property>
+         </parameter>
+         <profile>
+            <powerProfile>
+               <energyEstimationPlugin>
+                  <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
+               </energyEstimationPlugin>
+            </powerProfile>
+         </profile>
+         <computingResource class="Processor">
+            <parameter name="label">
+               <value>cpu_1</value>
+            </parameter>
+            <parameter name="manufacturer">
+               <value>AMD</value>
+            </parameter>
+            <parameter name="product">
+               <value>Fusion G-T40N</value>
+            </parameter>
+            <parameter name="speed">
+               <value>900</value>
+            </parameter>
+         </computingResource>
+         <computingResource class="Processor">
+            <parameter name="label">
+               <value>DummyLabel</value>
+            </parameter>
+            <parameter name="manufacturer">
+               <value>DummyManufacturer</value>
+            </parameter>
+            <parameter name="product">
+               <value>DummyProduct</value>
+            </parameter>
+            <parameter name="maxPower">
+               <value>100.0</value>
+            </parameter>
+            <parameter name="powerUsage">
+               <value>10.0</value>
+            </parameter>
+            <parameter name="type">
+               <value>DummyType</value>
+            </parameter>
+            <parameter name="speed">
+               <value>125</value>
+            </parameter>
+            <profile>
+               <powerProfile>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>0</value>
+                     </property>
+                     <property name="frequency">
+                        <value>10.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>5.0</value>
+                     </property>
+                     <property name="powerUsage">
+                        <value>8.0</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>1</value>
+                     </property>
+                     <property name="frequency">
+                        <value>12.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>8.0</value>
+                     </property>
+                     <property name="powerUsage">
+                        <value>7.0</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>0</value>
+                     </property>
+                     <property name="powerUsage">
+                        <value>20.0</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>1</value>
+                     </property>
+                     <property name="powerUsage">
+                        <value>25.0</value>
+                     </property>
+                  </parameter>
+               </powerProfile>
+            </profile>
+         </computingResource>
+      </computingResourceTemplate>
+   </templates>
+</environment>