Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-ivy.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-ivy.xml	(revision 937)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-ivy.xml	(revision 1029)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd ">
+<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd ">
   <ComponentId>node_psnc_i7-16GB-ivy</ComponentId>
   <Label>node_i7-16GB-sandy</Label>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_RECS_Sirius_2.0.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_RECS_Sirius_2.0.xml	(revision 937)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_RECS_Sirius_2.0.xml	(revision 1029)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:NodeGroup xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd " xsi:type="xsd_1:DEBBComponentType">
+<xsd_1:NodeGroup xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd " xsi:type="xsd_1:DEBBComponentType">
   <ComponentId>RECS_Sirius</ComponentId>
   <Label>RECS</Label>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_HLRS_AtomZ530.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_HLRS_AtomZ530.xml	(revision 937)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_HLRS_AtomZ530.xml	(revision 1029)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd ">
+<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd ">
   <ComponentId>node_hlrs_AtomZ530</ComponentId>
   <Label>node_AtomZ530</Label>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_HLRS_Core2Duo.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_HLRS_Core2Duo.xml	(revision 937)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_HLRS_Core2Duo.xml	(revision 1029)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd ">
+<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd ">
   <ComponentId>node_hlrs_Core2Duo</ComponentId>
   <Label>node_Core2Duo</Label>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_AtomD510.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_AtomD510.xml	(revision 937)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_AtomD510.xml	(revision 1029)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd ">
+<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd ">
   <ComponentId>node_psnc_AtomD510</ComponentId>
   <Label>node_AtomD510</Label>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Computebox2_PSNC_GenericRoom.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Computebox2_PSNC_GenericRoom.xml	(revision 998)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Computebox2_PSNC_GenericRoom.xml	(revision 1029)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:ComputeBox1 xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd " xsi:type="xsd_1:DEBBComponentType">
+<xsd_1:ComputeBox1 xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd " xsi:type="xsd_1:DEBBComponentType">
   <ComponentId>Computebox2_PSNC_GenericRoom</ComponentId>
   <Type>ComputeBox2</Type>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_HLRS_FusionGT56N.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_HLRS_FusionGT56N.xml	(revision 937)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_HLRS_FusionGT56N.xml	(revision 1029)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd ">
+<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd ">
   <ComponentId>node_hlrs_FusionGT56N</ComponentId>
   <Label>node_FusionGT56N</Label>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_HLRS_i7-8GB.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_HLRS_i7-8GB.xml	(revision 937)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_HLRS_i7-8GB.xml	(revision 1029)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd ">
+<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd ">
   <ComponentId>node_psnc_i7-8GB</ComponentId>
   <Label>node_i7-8GB</Label>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml	(revision 980)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml	(revision 1029)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:NodeGroup xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd " xsi:type="xsd_1:DEBBComponentType">
+<xsd_1:NodeGroup xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd " xsi:type="xsd_1:DEBBComponentType">
   <ComponentId>Nodegroup_RECS_Sirius_2.0</ComponentId>
   <Label>RECS</Label>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_AtomZ510.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_AtomZ510.xml	(revision 937)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_AtomZ510.xml	(revision 1029)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd ">
+<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd ">
   <ComponentId>node_psnc_AtomZ510</ComponentId>
   <Label>node_AtomZ510</Label>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_FusionGT40N_By_Gosia.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_FusionGT40N_By_Gosia.xml	(revision 1022)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_FusionGT40N_By_Gosia.xml	(revision 1029)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd ">
+<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd ">
   <ComponentId>node_psnc_FusionGT40N</ComponentId>
   <Label>node_FusionGT40N</Label>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_ComputeBox1_PSNC_GenericRack.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_ComputeBox1_PSNC_GenericRack.xml	(revision 998)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_ComputeBox1_PSNC_GenericRack.xml	(revision 1029)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:ComputeBox1 xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd " xsi:type="xsd_1:DEBBComponentType">
+<xsd_1:ComputeBox1 xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd " xsi:type="xsd_1:DEBBComponentType">
   <ComponentId>Computebox1_PSNC_GenericRack</ComponentId>
   <Type>ComputeBox1</Type>