Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRS_RECS_1.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRS_RECS_1.xml	(revision 823)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRS_RECS_1.xml	(revision 1035)
@@ -4,5 +4,5 @@
 	xmlns:vis="PLMXMLTcVisSchema" schemaVersion="6" date="2013-01-23" time="15:00:00"
 	author="HLRS 0.2.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema PLMXMLSchema.xsd">
+	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema ../PLMXMLSchema.xsd">
 
 	<!-- Original <PLMXML xmlns="http://www.plmxml.org/Schemas/PLMXMLSchema" 
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRS_RECS_2.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRS_RECS_2.xml	(revision 823)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRS_RECS_2.xml	(revision 1035)
@@ -4,5 +4,5 @@
 	xmlns:vis="PLMXMLTcVisSchema" schemaVersion="6" date="2013-01-23" time="15:00:00"
 	author="HLRS 0.2.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema PLMXMLSchema.xsd">
+	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema ../PLMXMLSchema.xsd">
 
 	<!-- Original <PLMXML xmlns="http://www.plmxml.org/Schemas/PLMXMLSchema" 
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRSRECSv1.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRSRECSv1.xml	(revision 823)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRSRECSv1.xml	(revision 1035)
@@ -4,5 +4,5 @@
 	xmlns:vis="PLMXMLTcVisSchema" schemaVersion="6" date="2012-07-16" time="11:30:47"
 	author="HLRS 0.1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema PLMXMLSchema.xsd">
+	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema ../PLMXMLSchema.xsd">
 
 	<!-- Original <PLMXML xmlns="http://www.plmxml.org/Schemas/PLMXMLSchema" 
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRSSmallServerRoom_with_multiple_DEBBComponent_files.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRSSmallServerRoom_with_multiple_DEBBComponent_files.xml	(revision 823)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRSSmallServerRoom_with_multiple_DEBBComponent_files.xml	(revision 1035)
@@ -4,5 +4,5 @@
 	xmlns:vis="PLMXMLTcVisSchema" schemaVersion="6" date="2012-07-16" time="11:30:47"
 	author="HLRS 0.1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema PLMXMLSchema.xsd">
+	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema ../PLMXMLSchema.xsd">
 
 <!-- Original 
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRS_SmallServerRoom.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRS_SmallServerRoom.xml	(revision 823)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRS_SmallServerRoom.xml	(revision 1035)
@@ -4,5 +4,5 @@
 	xmlns:vis="PLMXMLTcVisSchema" schemaVersion="6" date="2013-01-23" time="15:00:00"
 	author="HLRS 0.2.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema PLMXMLSchema.xsd">
+	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema ../PLMXMLSchema.xsd">
 
 <!-- Original 
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRSSmallServerRoom.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRSSmallServerRoom.xml	(revision 823)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/PLMXML_HLRSSmallServerRoom.xml	(revision 1035)
@@ -4,5 +4,5 @@
 	xmlns:vis="PLMXMLTcVisSchema" schemaVersion="6" date="2012-07-16" time="11:30:47"
 	author="HLRS 0.1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema PLMXMLSchema.xsd">
+	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema ../PLMXMLSchema.xsd">
 
 <!-- Original 